SUBDIRS=amiga contrib msdos nt

lib_LIBRARIES=libz.a
include_HEADERS=zconf.h zlib.h
man_MANS=zlib.3
bin_PROGRAMS=minigzip
EXTRA_PROGRAMS=example
TESTS=example

libz_a_SOURCES=adler32.c compress.c crc32.c deflate.c gzio.c infblock.c \
	infcodes.c inffast.c inflate.c inftrees.c infutil.c maketree.c \
	trees.c uncompr.c zutil.c

example_SOURCES=example.c
example_LDFLAGS=-L.
example_LDADD=-lz
example_DEPENDENCIES=libz.a

minigzip_SOURCES=minigzip.c
minigzip_LDFLAGS=-L.
minigzip_LDADD=-lz
minigzip_DEPENDENCIES=libz.a

EXTRA_DIST=ChangeLog INDEX Make_VMS.com Makefile.dist Makefile.riscos README \
	algorithm.txt configure.dist deflate.h descrip.mms infblock.h \
	infcodes.h inffast.h inffixed.h inftrees.h infutil.h trees.h \
	zlib.3 zutil.h
